Subject: Re: bug#43489: [PATCH] Don't signal scan-error when moving by sexp interactively

From: Mattias Engdegård <[email-masked]>
Date: Wed, 23 Sep 2020 18:24:14 +0200

23 sep. 2020 kl. 16.45 skrev João Távora <[email-masked]>:

> If it has not, and we do decide to go this route, I'd just nitpick
> that the parameter name should be INTERACTIVE or 
> RESIGNAL-ERROR.

Thank you! INTERACTIVE is indeed a better parameter name; now renamed.

I'm not very interested in the exact mechanism used for actually displaying the messages to the user. As you have no doubt grown weary hearing by now, I would have preferred there not being any to show! The employed method (user-error) seemed to be simple and workable.  That it uses the error-signalling mechanism is coincidental.

This bug can probably be closed now. Further improvements will of course still be possible.